aboutsummaryrefslogtreecommitdiff
path: root/source/1.0/src/shflags_test_public.sh
diff options
context:
space:
mode:
authorkate.ward <kate.ward@forestent.com>2008-11-15 17:10:57 +0000
committerkate.ward <kate.ward@forestent.com>2008-11-15 17:10:57 +0000
commit20b5e0d9a38a6e183f448fa7b5160ee505f08aaf (patch)
treed73ed838560b5798375e0dd95c28498a985921d2 /source/1.0/src/shflags_test_public.sh
parent51a36e39e218ed8e908d20d758c52a0510778c41 (diff)
downloadshflags-20b5e0d9a38a6e183f448fa7b5160ee505f08aaf.tar.gz
fixed the enhanced test, just like the standard test earlier
Diffstat (limited to 'source/1.0/src/shflags_test_public.sh')
-rwxr-xr-xsource/1.0/src/shflags_test_public.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/1.0/src/shflags_test_public.sh b/source/1.0/src/shflags_test_public.sh
index 03bb39f..5e02f1e 100755
--- a/source/1.0/src/shflags_test_public.sh
+++ b/source/1.0/src/shflags_test_public.sh
@@ -112,9 +112,9 @@ flags:
EOF
( FLAGS_HELP=${help}; FLAGS -h >"${stdoutF}" 2>"${stderrF}" )
diff "${expectedF}" "${stderrF}" >/dev/null
- assertTrue 'unexpected help output' $?
- [ ${__shunit_skip} -eq ${SHUNIT_FALSE} -a ${rtrn} -ne ${FLAGS_TRUE} ] \
- && cat "${stderrF}"
+ rtrn=$?
+ assertTrue 'unexpected help output' ${rtrn}
+ th_showOutput ${rtrn} "${stdoutF}" "${stderrF}"
}
testNoHelp()